
Foreman - Bug #4219

Orgs disabled on domain edit page when in org context

01/29/2014 03:50 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee:    

Category: Organizations and Locations   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Steps to reproduce:

1. create an organisation

2. create a domain with the above organisation selected

3. change to the organisation context context

4. edit the domain, click the organisations tab

Actual results:

organisations list is greyed out

Expected results:

organisations can be selected

(https://bugzilla.redhat.com/show_bug.cgi?id=1052332)

Related issues:

Related to Foreman - Feature #4002: disable locations/organizations on edit d... Closed 01/13/2014

Associated revisions

Revision e611a26c - 03/14/2014 11:15 AM - Joseph Magen

fixes #4605 - users should not be able to de-select disabled items in multi-select widget

fixes #4618 - added back tooltips inherited, used, and used in location / organization edit

fixes #4219 - do not disable current organization/location on multi-select

History

#1 - 02/07/2014 03:32 PM - Dominic Cleal

- Target version set to 1.9.1

#2 - 02/10/2014 04:25 PM - Og Maciel

I am having a hard time reproducing this. I created a NY Data Store organization and 3 new domains. Somehow all 3 domains were automatically

associated to my existing ACME Corporation, so I edited them to have no organizations. I then shifted the context to NY Data Store and clicked on

Domains. No domains are visible...

#3 - 02/10/2014 04:31 PM - Dominic Cleal

- Description updated

#4 - 02/11/2014 02:19 PM - Anonymous

- Status changed from New to Assigned

- Assignee set to Anonymous

#5 - 02/12/2014 12:04 PM - Anonymous

- Status changed from Assigned to Ready For Testing
PR: https://github.com/theforeman/foreman/pull/1232

#6 - 02/27/2014 04:00 PM - Dominic Cleal

- Status changed from Ready For Testing to Feedback

Dmitri, I think it's now safe to close or reject or resolve this issue since the implementation changed in #3912.  Could you confirm please?

#7 - 02/27/2014 04:01 PM - Dominic Cleal

- Related to Feature #4002: disable locations/organizations on edit domain, subnet, compute_resource, etc. if used added

#8 - 03/03/2014 01:13 PM - Anonymous

- Target version changed from 1.9.1 to 1.9.0

#9 - 03/03/2014 01:29 PM - Anonymous

- Status changed from Feedback to Closed

#10 - 03/25/2014 11:31 AM - Dominic Cleal

- translation missing: en.field_release set to 4
